<template>
    <div>
        <h1>edit</h1>

            <form>
                <div class="form-group">
                    <label for="name" class="form-label mt-4">name</label>
                    <input type="text" class="form-control" row ="4" id="name" placeholder="nom du film" v-model="name" required="required">
                </div>
                <br>
                <div>
                    <button type="button" class="btn btn-success" @click="filmStrore">mettre à jour</button>
                    <router-link :to="{ name: 'films'}" class="btn btn-link">retour</router-link>
                </div>
               
            </form>
    </div>
</template>

<script>
    export default {
        
        data() {
            return {
                name: '',
                film:{}
            }
        },

        methods: {
            filmStrore(){
                axios.put('http://127.0.0.1:8000/film/edit/'+this.$route.params.id,{
                    name: this.name
                })
                .then(response => {
                        this.name = response.data.name;
                        alert('film a été modifier avec sucée');}
                    )
                .catch(error => {
                    //this.errorMessage = error.message;
                    console.error("There was an error!", error);
                });
            }  
        },

        created()
        {
        axios.get('http://127.0.0.1:8000/film/'+ this.$route.params.id)
            .then(response => {
                this.film = response.data;
                this.name = response.data.name
            })
            .catch(error => {
                console.log(error)
                //this.errored = true
            });
         
        },
    }
</script>